Draft Verrundung

From FreeCAD Documentation
This page is a translated version of the page Draft Fillet and the translation is 96% complete.
Outdated translations are marked like this.

Draft Verrundung

Menüeintrag
Zeichnen → Verrundung
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
F I
Eingeführt in Version
0.19
Siehe auch
Draft Linie, Draft Polylinie

Beschreibung

Der Befehl Draft Verrundung erstellt eine Verrundung (eine abgerundete Ecke) oder eine Fase (eine gerade Kante zwischen zwei ausgewählten Kanten). In Version 0.21 und darunter funktioniert der Befehl nur dann richtig, wenn beide ausgewählte Kanten gerade sind.

Mehrere Verrundungen und Fasen, die zwischen zwei Kanten erstellt wurden

Anwendung

  1. Zwei Objekte mit einer kante auswählen, die sich in einem einzelnen Punkt treffen. Siehe Hinweise.
  2. Es gibt mehrere Möglichkeiten, den Befehl aufzurufen:
    • Die Schaltfläche Verrundung drücken.
    • Den Menüeintrag Zeichnen → Verrundung auswählen.
    • Das Tastaturkürzel F dann I.
  3. Den Fillet radius (Abrundungsradius) eingeben. Achtung, der Befehl kann nicht erfolgreich abgeschlossen werden, wenn der Radius bzw. die Fase zu groß für die ausgewählten Kantenobjekte ist.
  4. Wahlweise die Option Originalobjekte löschen aktivieren.
  5. Wahlweise die Option Fase erstellen aktivieren.
  6. Wurden eine oder beide der vorherigen Optionen ausgewählt: In das Eingabefeld Abrundungsradius klicken.
  7. Enter drücken.

Optionen

  • Esc oder die Schaltfläche Schließen drücken, um den Befehl abzubrechen.

Hinweise

  • Eine Draft Verrundung kann nicht bearbeitet werden und ist auch nicht mit den Objekten verknüpft, die zu ihrer Erstellung verwendet wurden.
  • Besitzen die ausgewählten Objekte mehrere Kanten, wird die erste verwendet. Dies ist vielleicht nicht die Kante, die in der 3D-Ansicht ausgewählt wurde.
  • Eine Draft Polylinie, die mindestens drei Punkte hat, kann verrundet oder angefast werden, indem ihre Daten-EigenschaftFillet Radius bzw. Daten-EigenschaftChamfer Size geändert wird. Da Draft Linien und Draft Polylinien mit den Befehlen Draft Polylinie, Draft Verbinden oder Draft Hochstufen verbunden werden können, stellt dies eine alternative Methode zur Erstellung von Verrundungen und Fasen dar.

Eigenschaften

Siehe auch: Eigenschafteneditor.

Ein Draft-Verrundungs-Objekt wird von einem Part Part2DObject abgeleitet und erbt alle seine Eigenschaften. Außerdem hat es die folgenden zusätzlichen Eigenschaften:

Daten

Draft

  • Daten-EigenschaftEnd (VectorDistance): (schreibgeschützt) gibt den Endpunkt der Verrundung an.
  • Daten-EigenschaftFillet Radius (Length): (schreibgeschützt) Radius, mit dem die Verrundung erstellt wurde.
  • Daten-EigenschaftLength (Length): (schreibgeschützt) gibt die Gesamtlänge der Verrundung an.
  • Daten-EigenschaftStart (VectorDistance): (schreibgeschützt) gibt den Startpunkt der Verrundung an.

Ansicht

Draft

  • Ansicht-EigenschaftArrow Size (Length): Gibt die Größe des Symbols an, das am Ende der Verrundung angezeigt wird.
  • Ansicht-EigenschaftArrow Type (Enumeration): Gibt den Typ des Symbols an, das am Ende der Verrundung angezeigt wird und die Werte Punkt (Dot), Kreis (Circle), Pfeil (Arrow), Schrägstrich (Tick) oder Schrägstrich-2 annehmen kann.
  • Ansicht-EigenschaftEnd Arrow (Bool): Gibt an, ob am Ende der Verrundung ein Symbol angezeigt wird, damit es als Maßlinie verwendet werden kann.
  • Ansicht-EigenschaftPattern (Enumeration): wird nicht verwendet.
  • Ansicht-EigenschaftPattern Size (Float): wird nicht verwendet.

Skripten

Siehe auch: Autogenerierte API Dokumentation und FreeCAD Grundlagen Skripten.

Zum Erstellen einer Draft-Verrundung wird die Methode make_fillet des Draft-Moduls verwendet:

fillet = make_fillet([edge1, edge2], radius=100, chamfer=False, delete=False)
  • Erzeugt ein Fillet Objekt zwischen den Kantenobjekten edge1 und edge2, wobei radius die Krümmung festlegt.
  • Ist chamfer True, wird eine gerade Kante mit der Länge von radius erstellt, anstatt einer abgerundeten Kante.
  • Ist delete True, werden die angegebenen edge1 und edge2 gelöscht, und nur das neue Objekt bleibt übrig.

Beispiel:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

edge1 = Draft.make_line(p1, p2)
edge2 = Draft.make_line(p2, p3)

doc.recompute()

fillet = Draft.make_fillet([edge1, edge2], radius=500)

doc.recompute()